MediaWiki 1.27

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page MediaWiki 1.27 and the translation is 88% complete.
Outdated translations are marked like this.
Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português • ‎português do Brasil • ‎čeština • ‎русский • ‎中文 • ‎日本語 • ‎한국어

MediaWiki 1.27 est une ancienne version de MediaWiki.

Consultez le fichier Notes de version pour une liste complètes des changements. It a été déployé sur les wikis de la Fondation Wikimedia au travers des branches incrémentales « 1.27.0-wmf.NN » du 29 septembre 2015 à mars 2016 (voir les détails de chaque branche).

La version stable 1.27.0 est sortie le 28 juin 2016[1], et sera une version supportée à long-terme (LTS) qui sera prise en charge pendant trois ans.

Téléchargez le Template:$1 ou vérifiez la branche REL1_27 dans Git pour suivre cette version.

Nouvelles fonctionnalités

InstantCommons rendu plus facile et moins couteux

InstantCommons fonctionnera maintenant directement, pendant que vos utilisateurs peuvent se connecter à upload.wikimedia.org : les miniatures seront servies par ce domaine au lieu de nécessiter une génération locale (gerrit:251556).

Plus de traductions de la documentation

Le travail continue sur la migration de l'extension Translate, maintenant utilisée sur environ 3000 pages. La taille du texte de traduction à augmenté de plusieurs mégaoctets. Merci aux administrateurs de traduction et aux traducteurs qui ne fatiguent jamais mais aussi aux étudiants du Google Code-in 2015, en particulier à IoannisKydonis qui a migré des milliers de traductions, y compris la Manual:FAQ entière.

Notices de mise à jour pour les administrateurs MediaWiki

Changements brisant la compatibilité

  • MediaWiki nécessite à présent PHP 5.5.9. Cela correspond à HHVM 3.1[2].
  • The mbstring PHP extension is now required.
  • Si les extensions PHP openssl et mcrypt sont toutes les deux indisponibles, le stockage de sessions sécurisées (utilisé pour la connexion) lèvera une exception. Cette exception peut être contourner en réglant $wgSessionInsecureSecrets = true; . À noter que ce contournement n'est pas recommandé. Ce n'est pas sécurisé. Vous ne devriez pas l'utiliser.
  • Après avoir effectué la mise à jour, beaucoup d'utilisateurs ont des problèmes avec des pages, qui n'apparaissent pas dans leurs catégories alors qu'elles sont catégorisées correctement. Dans de nombreux cas, il s'agit d'un problème avec la file d'attente des travaux (job queue). Le problème que les gens rencontrent habituellement est que les pages n'apparaissent pas (en fait: pas immédiatement) à l'intérieur de leurs catégories. Les raisons peuvent être différentes: Il est possible que la file d'attente des travaux ne fonctionne plus correctement. Veuillez lire $wgRunJobsAsync et suivre les conseils donnés dans l'ordre afin de résoudre ce problème.
  • L'extension RandomRootPage a été fusionnée dans le cœur de MediaWiki. Si vous l'aviez installée, vous devriez la désinstaller.
  • L'extension ApiSandbox a été fusionnée dans le cœur de MediaWiki. Si vous l'aviez installée, vous devriez la désinstaller.
  • $wgSessionsInObjectCache est obsolète et toujours vrai, les sessions ne sont donc plus stockées en utilisant la gestion de session de PHP (p.ex. session.save_path). Si vous voyez des pertes de données de session quand vous vous connectez, vérifiez que vous avez un cache partagé persistant configuré pour le stockage de session dans $wgSessionCacheType .
  • AuthManager. Si vous écrivez une nouvelle extension, vous devriez définitivement suivre Manuel:SessionManager et AuthManager et ensuite mettre à jour vers la version 1.27 pour l'utiliser. Si vous voulez vous assurez qu'une extension existante est compatible avec la version 1.27, consultez les astuces de mise à jour.

Extensions incompatibles

Notez que cette nouvelle branche amène des changements brisant la compatibilité à un grand nombre d'extensions, beaucoup d'entre elles n'ayant pas encore été mises à jour. Voir les tâches ouvertes de tâche T110291 pour une liste des extensions qui ont été identifiées comme nécessitant une mise à jour. Si vous utilisez l'une des extensions listées, vous devriez tester qu'elle fonctionne encore normalement dans votre environnement avant de mettre à jour vos wikis de production. Des patchs pour mettre à jour ces extensions sont les bienvenus.

Calendrier des publications

Les dates anticipées pour les publications de la version 1.27 sont les suivantes :

Publication Date
1.27.0 2016-06-28[1]
1.27.1 2016-08-22[3]
1.27.2 2017-04-06[4]
1.27.3 2017-04-30[5]
1.27.4 2017-11-14[6]
1.27.5 2018-09-20[7]
1.27.6 2019-06-06[8]
1.27.7 2019-06-07[9]

Sous-pages